- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_uri_t

# mongoc_uri_copy()

## Synopsis

    mongoc_uri_t *
    mongoc_uri_copy (const mongoc_uri_t *uri);

## Parameters

- `uri`: A mongoc_uri_t.

## Description

Copies the entire contents of a URI.

## Returns

A newly allocated mongoc_uri_t that should be freed with mongoc_uri_destroy().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.